## org.opencyc.xml
Class ExportEeldDaml

    java.lang.Object
      |
      +--org.opencyc.xml.ExportEeldDaml

public class ExportEeldDaml
extends java.lang.Object

DAML+OIL Evidence Extraction and Link Discovery export for OpenCyc.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`static Guid` `counterTerrorismConstantGuid` The #$CounterTerrorismConstant guid.
`protected static CycAccess` `cycAccess` Manages the api connection.
`static Guid` `eeldSharedOntologyConstantGuid` The #$EELDSharedOntologyConstant guid.
`static Guid` `eeldSharedOntologyCoreConstantGuid` The #$EELDSharedOntologyCoreConstant guid.
`static Guid` `ikbConstantGuid` The #$IKBConstant guid.

Constructor Summary
`ExportEeldDaml()`

Method Summary
`static void` `main(java.lang.String[] args)` Provides the main method for an EELD DAML export.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### counterTerrorismConstantGuid

    public static final Guid counterTerrorismConstantGuid

  The #$CounterTerrorismConstant guid.

### eeldSharedOntologyCoreConstantGuid

    public static final Guid eeldSharedOntologyCoreConstantGuid

  The #$EELDSharedOntologyCoreConstant guid.

### eeldSharedOntologyConstantGuid

    public static final Guid eeldSharedOntologyConstantGuid

  The #$EELDSharedOntologyConstant guid.

### ikbConstantGuid

    public static final Guid ikbConstantGuid

  The #$IKBConstant guid.

### cycAccess

    protected static CycAccess cycAccess

  Manages the api connection.

Constructor Detail

### ExportEeldDaml

    public ExportEeldDaml()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Provides the main method for an EELD DAML export.